Summary:     Meta package for MATE desktop environment
Name:        task-mate
Version:     1.26.0
Release:     %mkrel 2
URL:         https://www.mageia.org
Group:       Graphical desktop/MATE
License:     GPLv2+
BuildArch:   noarch

Requires:    %{name}-minimal = %{version}-%{release}
Requires:    atril
Requires:    mate-applets
Requires:    dconf-editor
Requires:    zenity
Requires:    engrampa
Requires:    eom
Requires:    mate-screensaver
Requires:    mate-system-monitor
Requires:    pluma
Requires:    mate-utils
Requires:    mozo
Recommends:  gucharmap
Recommends:  caja-image-converter
Recommends:  caja-open-terminal
Recommends:  caja-xattr-tags
Recommends:  caja-wallpaper
Recommends:  caja-share
Recommends:  caja-actions
Recommends:  mate-sensors-applet
Recommends:  mate-user-guide
Recommends:  mate-calc
Recommends:  mate-dock-applet
Recommends:  mate-menu

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the MATE.

%package minimal
Summary:     Minimal dependencies needed for MATE desktop
Group:       Graphical desktop/MATE

Requires:    mate-backgrounds
Requires:    mate-control-center
Requires:    caja
Requires:    mate-icon-theme
Requires:    mate-panel
Requires:    mate-power-manager
Requires:    mate-session-manager
Requires:    mate-settings-daemon
Requires:    mate-themes
Requires:    marco
Requires:    mate-notification-daemon
Requires:    mate-polkit
Requires:    libwnck3
Requires:    mate-terminal
Requires:    mate-media
Requires:    gnome-keyring
Requires:    yelp >= 3.1.0
Requires:    task-pulseaudio
Requires:    task-x11
Requires:    dm
Requires:    matemixer-backend
Recommends:  mageiawelcome
Recommends:  drakconf


%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal MATE desktop environment.

%prep

%install

%build

%files

%files minimal


%changelog
* Wed Mar 16 2022 tv <tv> 1.26.0-2.mga9
+ Revision: 1794623
- Deps on virtual task-sound rather than task-pulseaudio

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740870
- new version 1.26.0

* Tue Jan 12 2021 daviddavid <daviddavid> 1.24.1-1.mga8
+ Revision: 1671429
- Update to version 1.24.1

* Sat Feb 15 2020 umeabot <umeabot> 1.22.0-3.mga8
+ Revision: 1528149
- Mageia 8 Mass Rebuild

* Sun Aug 11 2019 mokraemer <mokraemer> 1.22.0-2.mga8
+ Revision: 1428731
- removed preload as an requirement for this desktop

* Thu Mar 14 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1376325
- Update to version 1.22.0

* Mon Dec 03 2018 kekepower <kekepower> 1.20.0-4.mga7
+ Revision: 1337866
- Fix Recommends

* Tue Oct 23 2018 alexl <alexl> 1.20.0-3.mga7
+ Revision: 1324366
- change galculator on mate-calc

* Fri Sep 21 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1291742
- Mageia 7 Mass Rebuild

* Mon Mar 05 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1206595
- Updated to 1.20.0 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174496
- Updated to 1.19.0 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092613
- Updated to 1.18.0 version

* Sat Feb 25 2017 tarakbumba <tarakbumba> 1.16.0-2.mga6
+ Revision: 1087798
- Recommend dock applet, streamer applet and mate-menu in task-mate package
- Require mate-media in task-mate-minimal to get sound applet
- Require a matemixer-backend for sound support

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077192
- update version to match with MATE version

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001565
- Update to      1.14.0 version

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-2.mga6
+ Revision: 979670
- Fix requires

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979335
- Update to      1.13.1 version

* Wed Feb 10 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 953243
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898536
-Update to 1.12.0 version

* Tue Jun 23 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 840027
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 743704
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 689709
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue May 20 2014 tarakbumba <tarakbumba> 1.8.0-2.mga5
+ Revision: 624528
- Fix requires for minimal package: mate-terminal, gnome-keyring, yelp

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600124
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598064
- Update to 1.7.x version

* Tue Feb 04 2014 tarakbumba <tarakbumba> 1.6.0-9.mga5
+ Revision: 581608
-Add libmatewnck to minimal package otherwise task manager doesn't display translations (mga#12534)

* Mon Jan 20 2014 tarakbumba <tarakbumba> 1.6.0-8.mga4
+ Revision: 567074
- Disable mate-file-manager-sendto stuff, they pull obsolote bluetooth stuff
- Move some apps to suggests
- Add settings-daemon to minimal install
- Require display manager for minimal

* Tue Jan 07 2014 tarakbumba <tarakbumba> 1.6.0-7.mga4
+ Revision: 565455
- Ensure that mate-polkit is installed

* Sun Dec 15 2013 ennael <ennael> 1.6.0-6.mga4
+ Revision: 557147
- add mageiawelcome as a suggest

* Sun Dec 15 2013 colin <colin> 1.6.0-5.mga4
+ Revision: 557088
- Drop subrel definition that should not be in released packages.

* Sun Dec 15 2013 tarakbumba <tarakbumba> 1.6.0-4.1.mga4
+ Revision: 556933
- Bump release
- Require notification-daemon for minimal install

* Sat Dec 14 2013 tarakbumba <tarakbumba> 1.6.0-3.1.mga4
+ Revision: 556841
- Remove mate-bluetooth, as it is known to not working with Bluez5

* Mon Oct 21 2013 tarakbumba <tarakbumba> 1.6.0-2.1.mga4
+ Revision: 541060
- Disabled mate-bluetooth requires

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531062
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445531
- imported package task-mate

